# RPM specfile for gal module
# Generated Fri Feb 20 18:17:53 2004 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	gal
%define ver	1.99.11
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	libgal2.0_6
Version: 	1.99.11
Release:	0.ximian.5.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for Red Hat Linux 8.0 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/tech/
Epoch:		1
Source0:	gal-1.99.11.tar.gz
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	libglade2-devel = 2.0.0
BuildRequires:	libgnomeui-devel = 2.0.3
BuildRequires:	libgnomecanvas-devel = 2.2.0.2
BuildRequires:	libxml2-devel = 2.4.23
BuildRequires:	bonobo-activation-devel = 1.0.3
BuildRequires:	atk-devel = 1.0.3
BuildRequires:	glib2-devel = 2.0.6
BuildRequires:	gtk2-devel = 2.0.6-8.ximian.80.1
BuildRequires:	freetype-devel = 2.1.2
BuildRequires:	fontconfig-devel = 2.0
BuildRequires:	libgnome-devel = 2.0.2
BuildRequires:	pango-devel = 1.1.1
BuildRequires:	ORBit2-devel = 2.4.1
BuildRequires:	libIDL-devel = 0.8.0
BuildRequires:	linc-devel = 0.5.2
BuildRequires:	libxslt-devel = 1.0.19
BuildRequires:	libbonoboui-devel = 2.0.1
BuildRequires:	libbonobo-devel = 2.0.0
BuildRequires:	gnome-vfs2-devel = 2.0.2
BuildRequires:	libgnomeprint22-devel >= 2.2.1.1
BuildRequires:	libgnomeprintui22-devel >= 2.2.1.1
BuildRequires:	GConf2-devel = 1.2.1
BuildRequires:	zlib-devel
Summary:	The GNOME Application Library
Group:		Libraries/System
Provides:	ximian-libgal2.0_6 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgal2.0-modules
Obsoletes:	libgal2.0_2
Obsoletes:	libgal2.0_1
Obsoletes:	libgal2.0_0
Obsoletes:	gal2.0
Obsoletes:	gal2-0
Obsoletes:	gal2

%description
A collection of GNOME widgets and utility functions.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS
%dir /usr/share/gal-2.0
/usr/share/gal-2.0/1.99.11
/usr/lib/lib*.so.6*
/usr/*/locale/*/LC_MESSAGES/*.mo


%post
ldconfig

%postun
ldconfig

%package -n libgal2.0-devel
Summary:	Development files for the GNOME Applications library
Group:		Development/Libraries
Requires:	libgal2.0_6 = 1:1.99.11-0.ximian.5.1
Requires:	libgnomeui-devel
Requires:	libglade2-devel
Requires:	libgnomeprintui22-devel
Requires:	libxml2-devel
Provides:	ximian-libgal2.0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gal2.0-devel
Obsoletes:	gal2-devel

%description -n libgal2.0-devel
Development files for the GNOME Applications library

%files -n libgal2.0-devel
%defattr(-, root, root)
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/pkgconfig/*.pc
/usr/include/*
/usr/share/gal-2.0/html


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gal-1.99.11
    ;;
all)
%setup  -q -n gal-1.99.11
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Feb 20 2004 Ximian, Inc.

- Version: 1:1.99.11-0.ximian.5.1
- Summary: New build.
- New automated build.

